<?php if(!$desactivaTeclado) { ?>

<div id="calendario" class="popup calendario" style="display:none;z-index:30000">
	<div class="popupContenidoSimple">
    	<table class="calendario">
          <tr>
            <td colspan="3">
            	<input type="text" name="valorCalendario" id="valorCalendario" value="" class="campo campoCalendario valorCalendario deshabilitado" style="width:230px" readonly/>
            </td>
          </tr>
          <tr>
            <td colspan="3">
            	Selector de fecha:
            </td>
          </tr>
          <tr>
            <td><select name="calendarioDia" id="calendarioDia" class="campo calendarioSelector campoCalendario" style="width:125px">
              <option value="">Día</option>
			  <?php for($i=1;$i<=31;$i++) { ?>
              <option value="<?php echo $i; ?>"><?php echo $i; ?></option>
              <?php } ?>
            </select>
            </td>
            <td><select name="calendarioMes" id="calendarioMes" class="campo calendarioSelector campoCalendario" style="width:250px">
              <option value="">Mes</option>
              <?php foreach(unserialize(MESES) as $mes) { ?>
              <option value="<?php echo $mes['mes']; ?>"><?php echo $mes['nombre']; ?></option>
              <?php } ?>
            </select>
            </td>
            <td><select name="calendarioAnyo" id="calendarioAnyo" class="campo calendarioSelector campoCalendario" style="width:125px">
              <option value="">Año</option>
              <?php for($i=2010;$i<=2100;$i++) { ?>
              <option value="<?php echo $i; ?>"><?php echo $i; ?></option>
              <?php } ?>
              <option value="9999">9999</option>
            </select>
            </td>
          </tr>
          <tr>
            <td colspan="3" style="padding-top:20px">
          		<input type="submit" name="enterCalendario" id="enterCalendario" value="ACEPTAR" campovalor="" cambioFoco="" forzarEnter="" class="boton"/><br /><input type="submit" name="cancelCalendario" id="cancelCalendario" value="Cancelar" campovalor="" cambioFoco="" forzarEnter="" class="boton reducido" style="margin-top:20px"/>
            </td>
          </tr>
        </table>
  </div>
</div>
<script>

function construyeFecha() {
	
	var construccion;

	var dia=$('#calendarioDia').val();
	var mes=$('#calendarioMes').val();
	var anyo=$('#calendarioAnyo').val();
	
	if( parseInt(dia) < 10 ) dia='0'+dia;
	if( parseInt(mes) < 10 ) mes='0'+mes;
	
	construccion=dia+'/'+mes+'/'+anyo;
    
	$('#valorCalendario').val( construccion );
}

function deconstruyeFecha() {

	var valores=$('#valorCalendario').val().split('/');
	
	var dia=parseInt(valores[0]);
	var mes=parseInt(valores[1]);
	var anyo=valores[2];

	
	if(dia>0) $('#calendarioDia').val(dia); else $('#calendarioDia').val('');
	if(mes>0) $('#calendarioMes').val(mes); else $('#calendarioMes').val('');
	if(anyo>0) $('#calendarioAnyo').val(anyo); else $('#calendarioAnyo').val('');

}

function validaCalendario() {

	var valores=$('#valorCalendario').val().split('/');
	
	var dia=parseInt(valores[0]);
	var mes=parseInt(valores[1]);
	var anyo=valores[2];
	
	if(dia>0 && mes>0 && anyo>0) return true;
	else return false;

}

$(document).ready(function() {

	$('.calendarioSelector').on('change',function(e){
	
		construyeFecha();
	
	});
	
	$('#enterCalendario').on('click',function(){
	
		if( validaCalendario() ) {
		
			var campo=$(this).attr('campoValor');
			
			$('#'+campo).val( $('#valorCalendario').val() );
			
			var forzarEnter;
			if( $(this).attr('forzarEnter')=='si' ) forzarEnter=true;
			var cambioFoco;
			if( $(this).attr('cambioFoco')=='si' ) cambioFoco=true;
			
			if( forzarEnter || cambioFoco ) {
				$('#'+campo).trigger("change");
			}
			
			if( !forzarEnter && !cambioFoco ) $('#'+campo).focus();
			
			$('#calendario').hide();
		
		}
		else alert('Fecha incorrecta',null,'error');
	
	});
	
	$('#cancelCalendario').on('click',function(){
	
		$('#calendario').hide();
	
	});
	
});
</script>

<?php } ?>